Bug 178899 - All Authentication Options Disabled in system-config-authentication
All Authentication Options Disabled in system-config-authentication
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: authconfig (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2006-01-25 06:02 EST by Carsten Clasohm
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0376
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 17:35:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (619 bytes, patch)
2006-03-22 13:48 EST, Tomas Mraz
no flags Details | Diff

  None (edit)
Description Carsten Clasohm 2006-01-25 06:02:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
On the "Authentication" tab of the system-config-authentication, all four authentication methods are disabled, ie. grey and not selectable.


Version-Release number of selected component (if applicable):
authconfig-gtk-4.6.10-rhel4.1

How reproducible:
Always

Steps to Reproduce:
1. Start system-config-authentication
2. Switch to the "Authentication" tab

  

Actual Results:  None of the four authentication options is selectable.


Expected Results:  There should either be a message or tooltip saying why the options are disabled, or the options should be enabled.


Additional info:

When using the text-mode tool authconfig, all authentication options are selectable, and the generated pam configuration looks OK.
Comment 1 Tomas Mraz 2006-01-25 07:02:37 EST
This is a bug in libdir detection on 64bit platforms. When the pam modules are
installed multilib (both 32 and 64 bit) it works fine.
Comment 4 Tomas Mraz 2006-03-22 13:48:27 EST
Created attachment 126494 [details]
Proposed patch

System-config-authentication will not allow you to set any remote
authentication method. See the attached patch for the fix.
Comment 5 James Laska 2006-03-23 09:56:39 EST
Confirmed the bug exists in authconfig-gtk-4.6.10-rhel4.1.x86_64.  Confirmed the
patch proposed in comment#4 fixes the reported issue.
Comment 11 Red Hat Bugzilla 2006-05-03 17:35:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0376.html

Note You need to log in before you can comment on or make changes to this bug.